## AtkNoOpObject AtkNoOpObject — An AtkObject which purports to implement all ATK interfaces. |

## Functions

AtkObject * | atk_no_op_object_new ()

## Types and Values

struct | AtkNoOpObject

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkNoOpObject

## Implemented Interfaces

AtkNoOpObject implements AtkComponent, AtkAction, AtkEditableText, AtkImage, AtkSelection, AtkTable, AtkTableCell, AtkText, AtkHypertext, AtkValue, AtkDocument and AtkWindow.

## Description

An AtkNoOpObject is an AtkObject which purports to implement all ATK interfaces. It is the type of AtkObject which is created if an accessible object is requested for an object type for which no factory type is specified.

## Functions

### atk_no_op_object_new ()

    AtkObject *
    atk_no_op_object_new (GObject *obj);

Provides a default (non-functioning stub) AtkObject. Application maintainers should not use this method.

#### Parameters

obj | a GObject |

#### Returns

a default (non-functioning stub) AtkObject

## Types and Values

### struct AtkNoOpObject

    struct AtkNoOpObject;